#[derive(Clone, Copy)]
pub enum SortOrder {
    Recent,
    Viewers,
}

#[derive(Clone, Copy)]
pub struct Sort {
    pub order:SortOrder,
    pub reverse:bool,
}
impl Sort {
    pub fn new() -> Self
    {
        Self {
            order:SortOrder::Recent,
            reverse:false,
        }
    }
}

#[derive(Clone)]
pub struct SessionFilter {
    pub start:usize,
    pub count:usize,

    pub is_complete:Option<bool>,
    pub is_live:Option<bool>,
    pub is_player:Option<bool>,
    pub player:[Option<String>; 2],

    pub sort:Sort,
}
impl SessionFilter {
    pub fn new() -> Self
    {
        Self {
            start:0,
            count:0,

            is_complete:None,
            is_live:None,
            is_player:None,
            player:[None, None],

            sort:Sort::new(),
        }
    }
}
